javax.swing.text

## Class JTextComponent.KeyBinding

- java.lang.Object
- - javax.swing.text.JTextComponent.KeyBinding

Enclosing class:
  JTextComponent

    public static class JTextComponent.KeyBinding
    extends Object

Binding record for creating key bindings.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

### Field Summary

Fields
`String` `actionName` The name of the action for the key.
`KeyStroke` `key` The key.

### Constructor Summary

Constructors
Constructor and Description
`JTextComponent.KeyBinding(KeyStroke key, String actionName)` Creates a new key binding.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### key

    public KeyStroke key

The key.

#### actionName

    public String actionName

The name of the action for the key.

### Constructor Detail

#### JTextComponent.KeyBinding

    public JTextComponent.KeyBinding(KeyStroke key,
                             String actionName)

Creates a new key binding.

Parameters:
  `key` - the key
  `actionName` - the name of the action for the key

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.